<div class="back-modal">
  <div class="add-task-modal slide-top">
    <div class="close-modal" (click)="cerrarModal()">
      <i class="fas fa-window-close"></i>
    </div>
    <div class="add-form-container">
      <p>Adding a new Task...</p>
      <form #productForm="ngForm" (ngSubmit)="onSubmit(productForm)">
        <!-- TO UPDATE -->
        <input type="hidden" name="$key" #$key="ngModel" [(ngModel)]="productService.selectedProduct.$key">

        <div class="form-group">
          <input type="text" class="form-control" name="name" #name="ngModel" [(ngModel)]="productService.selectedProduct.name" placeholder="Task's name">
        </div>
        <div class="form-group">
          <input type="text" class="form-control" name="description" #category="ngModel" [(ngModel)]="productService.selectedProduct.description"
            placeholder="Task's Description">
        </div>
        <div class="form-group">
          <div class="input-group">
            <input type="date" class="form-control" name="date" #price="ngModel" [(ngModel)]="productService.selectedProduct.date">
          </div>
        </div>

        <div class="option-section">
          <button class="btn-add" type="submit">
            <i class="fas fa-plus-circle"></i> Add Task
          </button>
          <button class="btn-reset" type="reset" (click)="resetForm(productForm)">
            <i class="fas fa-sync-alt"></i> Reset
          </button>
        </div>
      </form>
    </div>
  </div>
</div>